require 'perforat/version'
require 'perforat/listener'

module Perforat
  PERFORAT_DIR = 'tmp/perforat'.freeze
  DEFAULT_SETTINGS = {
    results_count:    20,
    minimal_duration: 0.1,
    minimal_epsilon:  0.1,
    keep_files:       2
  }.freeze

  def self.settings
    DEFAULT_SETTINGS.merge(RSpec.configuration.perforat)
  end
end

RSpec.configure do |config|
  config.reporter.register_listener Perforat::Listener.new,
    :start, :example_passed, :example_failed, :stop
  config.add_setting :perforat, default: Perforat::DEFAULT_SETTINGS
end
